#!/bin/sh

version=$1

if [ -z "$version" ]; then
    echo "Usage: $0 <version>"
    exit 2
fi

majorver=`echo $version | sed -r -e 's/^([0-9]+)[0-9\.]+$/\1/g'`

rm -rf translations
mkdir translations
cd translations
wget -r -N -l 1 -np -nd -A "*_$majorver.*.zip" http://www.glest.org/files/contrib/translations/
rm -f robots.txt
cd ..
tar -czf glest-translations-$version.tar.gz translations
rm -rf translations
